GET
cURL

Authorizations

BIZ-API-KEY
string
header
required

API key. Must be included in the request header.

Biz-Api-Nonce
string
header
required

Timestamp. Must be included in the request header.

Biz-Api-Signature
string
header
required

Signature string. Must be included in the request header.

Query Parameters

wallet_id
string
required

Wallet ID.

Example:

"e9167870-e18b-4e82-8b87-92ec7ede8e45"

transaction_id
string

Transaction ID (optional).

Example:

"a9c40fb5-2c17-45cf-aaca-7b58e1bf4afd"

hash
string

Transaction hash (optional).

Example:

"0xd51137845fbdcc028f779766de91a98c5b18418f299f220ad914d89cab2439b"

type
enum<string>

Transaction type: =Deposit for deposit; =OnChainWithdrawal for withdrawal to an on-chain address; =InternalWithdrawal for withdrawal to an internal wallet (optional).

Available options:
Deposit,
OnChainWithdrawal,
InternalWithdrawal
Example:

"OnChainWithdrawal"

to
string

On-chain address: to is the recipient address of the deposit or withdrawal (optional).

Example:

"0xdc2e6b357766aa4b66f41dc2959837ace7d61d46"

chain_id
string

Chain ID (optional).

Example:

"BSC_BNB"

token_id
string

Token ID (optional).

Example:

"BSC_USDT"

status
string

Processing: pending confirmation, Approved: approved, Cancelled: cancelled, Rejected: rejected, Signed: signed, Pending: broadcasted, Confirming: confirming, Completed: completed, Failed: failed (optional).

Example:

"Confirming"

min_created
integer

Start timestamp (transaction creation time), in seconds (optional).

Example:

1635744000

max_created
integer

End timestamp (transaction creation time), in seconds (optional).

Example:

1635744000

page
integer

Page number.

Example:

1

num
integer

Items per page. Default: 100. Max: 1000.

Example:

20

Response

Request succeeded. Returns transaction data.

status
integer

Status code. 0 indicates success.

Example:

0

data
object

Transaction list.

msg
string

Error message. Present when status is non-zero.